Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE.sh	(revision 8779)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE.sh	(revision 8780)
@@ -1,14 +1,16 @@
 #!/bin/bash
 
-#Config ccc_msub
-#MSUB -A  gen7451
-#MSUB -r  NEMO_CI
-#MSUB -o  NEMO_CI_%I
-#MSUB -e  NEMO_CI_%I
+##Config ccc_msub
+#MSUB -A  gen0826
+#MSUB -r  NEMO_Trust
+#MSUB -o  NEMO_Trust_%I
+#MSUB -e  NEMO_Trust_%I
 #MSUB -oe
-#MSUB -q  xlarge
-#MSUB -n  128
-#MSUB -N  1
+#MSUB -q  standard
+#MSUB -n  32
+#MSUB -N  2
 #MSUB -T  1800
-##MSUB -@  ntmlod@locean-ipsl.upmc.fr:begin,end
+
 ccc_mprun ./opa
+
+exit 0
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_cron.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_cron.sh	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/batch/X64_CURIE_cron.sh	(revision 8780)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+##Config ccc_msub
+#MSUB -A  gen0826
+#MSUB -r  NEMO_Trust
+#MSUB -o  NEMO_Trust_%I
+#MSUB -e  NEMO_Trust_%I
+#MSUB -oe
+#MSUB -q  standard
+#MSUB -n  32
+#MSUB -N  2
+#MSUB -T  1800
+
+ccc_mprun ./opa
+
+exit 0
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8780)
@@ -0,0 +1,34 @@
+## Ada configuration
+##---------------------------------------------------
+
+
+## Default settings
+##---------------------------------------------------
+TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+
+TRUS_CDOD='cdo diffn'
+
+[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='16'
+[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+
+
+## (Super)computer environment
+##---------------------------------------------------
+TRUS_JSPT=${TRUS_HPCC}.sh
+TRUS_JSUB="llsubmit ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
+TRUS_JINF="llq -x \${TRUS_JIDN}"
+TRUS_JSTA="llq      | grep \${TRUS_JIDN}"
+TRUS_JKIL="llcancel        \${TRUS_JIDN}"
+
+TRUS_JTIM="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}'"
+TRUS_JPME="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f3 | awk '{print \$3     ,\$4 }'"
+TRUS_JVME="grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f2 | awk '{print \$3     ,\$4 }'"
+
+TRUS_CMPV='ifort'
+TRUS_CDOR='cdo/'
+TRUS_MPIR='intel/impi/'
+TRUS_CDFR='netcdf/'
+
+PATH='/smplocal/pub/cdo/1.5.9/bin':$PATH
+## Not working with module delimiter ':'
+#WRAPPER_LDFLAGS='-L/smplocal/pub/IdrMemMPI/1.4/lib -lidrmem '${WRAPPER_LDFLAGS}
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8780)
@@ -0,0 +1,32 @@
+## Curie configuration
+##---------------------------------------------------
+
+
+## Default settings
+##---------------------------------------------------
+TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+
+TRUS_CDOD='cdo diffn'
+
+[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='4'
+[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+
+
+## (Super)computer environment
+##---------------------------------------------------
+TRUS_JSPT=${TRUS_HPCC}.sh
+TRUS_JSUB="ccc_msub ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
+TRUS_JINF="ccc_macct \${TRUS_JIDN}"
+TRUS_JSTA="ccc_mpp  | grep \${TRUS_JIDN}"
+TRUS_JKIL="ccc_mdel        \${TRUS_JIDN}"
+
+TRUS_JTIM="ccc_macct \${TRUS_JIDN} | grep     \"\${TRUS_JIDN}.0 *opa\" | awk '{print               \$9      }'"
+TRUS_JPME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
+TRUS_JVME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
+
+TRUS_CMPV='ifort'
+TRUS_CDOR='netcdf-utils-'
+TRUS_MPIR='bullxmpi/'
+TRUS_CDFR='netcdf-'
+
+PATH='/usr/local/netcdf-utils-4.3.3.1_hdf5/bin':$PATH
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8780)
@@ -0,0 +1,32 @@
+## Curie configuration
+##---------------------------------------------------
+
+
+## Default settings
+##---------------------------------------------------
+TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+
+TRUS_CDOD='cdo diffn'
+
+[ -z "${TRUS_NPRO}" ] && TRUS_NPRO='4'
+[ -z "${TRUS_TOUT}" ] && TRUS_TOUT='10800'
+
+
+## (Super)computer environment
+##---------------------------------------------------
+TRUS_JSPT=${TRUS_HPCC}.sh
+TRUS_JSUB="ccc_msub ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'"
+TRUS_JINF="ccc_macct \${TRUS_JIDN}"
+TRUS_JSTA="ccc_mpp  | grep \${TRUS_JIDN}"
+TRUS_JKIL="ccc_mdel        \${TRUS_JIDN}"
+
+TRUS_JTIM="ccc_macct \${TRUS_JIDN} | grep     \"\${TRUS_JIDN}.0 *opa\" | awk '{print               \$9      }'"
+TRUS_JPME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Mo\n\", \$2; exit}'"
+TRUS_JVME="ccc_macct \${TRUS_JIDN} | grep -m1 \"\${TRUS_JIDN}.0\"      | awk '{printf \"%d Go\n\", \$7; exit}'"
+
+TRUS_CMPV='ifort'
+TRUS_CDOR='netcdf-utils-'
+TRUS_MPIR='bullxmpi/'
+TRUS_CDFR='netcdf-'
+
+PATH='/usr/local/netcdf-utils-4.3.3.1_hdf5/bin':$PATH
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8780)
@@ -0,0 +1,50 @@
+## (Super)Computer configuration template
+##---------------------------------------------------
+
+## Copy to root, rename it and then fill in according to your (super)computer environment
+## Rules for completion: undefined variables (=) are mandatory & void variables (='') are optional
+## Look into other configuration file for examples
+
+
+## Default settings
+##---------------------------------------------------
+# (Super)Computer environment (${TRUS_XIOS} is already defined in the user configuration file)
+TRUS_ENVI=${TRUS_XIOS}/arch/arch-${TRUS_HPCC}
+## If `module` is available, ${TRUS_ENVI}.env will be sourced
+## If not (scheduled jobs), it will be ${TRUS_ENVI}.path or finally ${TRUS_ENVI}
+
+## Comparison command with restart files as argument (think to append $PATH by any way)
+TRUS_CDOD='cdo diffn'
+
+[ -z "${TRUS_NPRO}" ] && TRUS_NPRO=     ## Number of compiling processes
+[ -z "${TRUS_TOUT}" ] && TRUS_TOUT=     ## Timeout for computation (s)
+
+
+## (Super)computer environment
+##---------------------------------------------------
+## Job commands will almost always be used with `eval ${TRUS_JXXX}` because
+## they will certainly need job ID number as argument for working
+TRUS_JSPT=       ## Submission script contained ./batch folder, will be copied to testing folder
+TRUS_JSUB=	 ## Submit a job and get his ID on the fly (assigned to ${TRUS_JIDN})
+        	   ## ex: `llsubmit ${TRUS_JSPT} | grep -oe '\<[0-9]*\>'`
+TRUS_JSTA=   	 ## Test state of the submitted job (true -> pending/running or false -> completed/crashed)
+                   ## ex: "llq | grep \${TRUS_JIDN}"
+TRUS_JKIL=   	 ## Kill the submitted job
+                   ## ex: "llcancel   \${TRUS_JIDN}"
+
+## Computational performances of job (respectively elapsed time, max physical & virtual memory)
+TRUS_JTIM=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f1 | awk '{print \$(NF-1),\$NF}"
+TRUS_JPME=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f3 | awk '{print \$3     ,\$4 }"
+TRUS_JVME=''       ## ex: "grep IdrisMemMPI NEMO_CI_\${TRUS_JIDN} | cut -d, -f2 | awk '{print \$3     ,\$4 }"
+
+TRUS_JINF=''   	 ## Get job informations to fill in a logfile during computation
+                   ## ex: "llq -x \${TRUS_JIDN}"
+
+## Compiler (use with `${TRUS_CMPV} --version`)
+TRUS_CMPV=''       ## ex: 'ifort'|'gfortran'|'pgfortran'|...
+
+## Software/libraries (string pattern to match just before the release number in $PATH)
+## Respectively CDO (Climate Data Operators) / MPI libraries / NetCDF libraries
+TRUS_CDOR=''       ## ex: 'cdo/'|'netcdf-utils-'
+TRUS_MPIR=''       ## ex: 'intel/impi/'|'bullxmpi/'
+TRUS_CDFR=''       ## ex: 'netcdf/'|'netcdf-'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8780)
@@ -0,0 +1,36 @@
+## Installation for trusting tests on Curie Supercomputer
+##---------------------------------------------------
+
+
+## Default settings
+##---------------------------------------------------
+[ -z "${TRUS_BRAN}" ] && TRUS_BRAN='trunk'
+TRUS_CKOT=( 'ARCH           CONFIG          NEMO               \
+             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
+             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
+
+[ -z "${TRUS_REFE}" ] && TRUS_REFE='ORCA2_LIM_PISCES'
+TRUS_CONF=${TRUS_REFE}'_trust'
+
+[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
+[ ${TRUS_REFE} == 'AMM12'             ] && TRUS_TARF='AMM12_v3.6.tar'
+
+TRUS_KEYA=''; TRUS_KEYD=''
+[ ${TRUS_REFE} == 'ORCA2_LIM' ] && TRUS_KEYA='key_add key_agrif' && TRUS_KEYD='key_del key_zdftmx'
+
+
+## User environment
+##---------------------------------------------------
+TRUS_WORK=$CCCWORKDIR/NEMO
+TRUS_SCRA=$CCCSCRATCHDIR/NEMO/trusting/${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE}
+TRUS_STOR=$CCCSTOREDIR/NEMO/trusting_sav/${TRUS_REFE}/${TRUS_BRAN}
+TRUS_FORC=$CCCWORKDIR/NEMO/FORC
+TRUS_XIOS=$CCCWORKDIR/XIOS/xios-1.0
+
+[ ${TRUS_BRAN} == 'trunk'             ] && TRUS_XIOS=$CCCWORKDIR/XIOS/trunk
+[ ${TRUS_REFE} == 'ORCA2_LIM_PISCES'  ] && TRUS_CONF='O2LP_trust'
+[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_CONF='O1L3P_trust' && TRUS_XIOS=${TRUS_WORK}/XIOS/XIOS_DEV_CMIP6
+[ ${TRUS_REFE} == 'ORCA2_LIM'         ] && TRUS_CONF='O2LA_trust'
+
+[ -z "${TRUS_MAIL}" ] && TRUS_MAIL='nicolas.martin@upmc.fr claire.levy@locean-ipsl.upmc.fr officers@nemo-ocean.eu'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8780)
@@ -0,0 +1,35 @@
+## Installation for trusting tests on Ada Supercomputer
+##---------------------------------------------------
+
+
+## Default settings
+##---------------------------------------------------
+[ -z "${TRUS_BRAN}" ] && TRUS_BRAN='trunk'
+TRUS_CKOT=( 'ARCH           CONFIG          NEMO               \
+             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
+             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
+
+[ -z "${TRUS_REFE}" ] && TRUS_REFE='ORCA2_LIM_PISCES'
+TRUS_CONF=${TRUS_REFE}'_trust'
+
+[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${TRUS_REFE} == 'AMM12'             ] && TRUS_TARF='AMM12_v3.6.tar'
+
+TRUS_KEYA=''; TRUS_KEYD=''
+[ ${TRUS_REFE} == 'ORCA2_LIM' ] && TRUS_KEYA='key_add key_agrif' && TRUS_KEYD='key_del key_zdftmx'
+
+
+## User environment
+##---------------------------------------------------
+TRUS_WORK=$WORKDIR/NEMO
+TRUS_SCRA=$WORKDIR/NEMO/trusting/${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE}
+TRUS_STOR=$WORKDIR/NEMO/trusting_sav/${TRUS_REFE}/${TRUS_BRAN}
+TRUS_FORC=$WORKDIR/NEMO/FORC
+TRUS_XIOS=$WORKDIR/XIOS/xios-1.0
+
+[ ${TRUS_REFE} == 'ORCA2_LIM_PISCES'  ] && TRUS_CONF='O2LP_trust'
+[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_CONF='O1L3P_trust'
+[ ${TRUS_REFE} == 'ORCA2_LIM'         ] && TRUS_CONF='O2LA_trust'
+
+[ -z "${TRUS_MAIL}" ] && TRUS_MAIL='ntmlod@locean-ipsl.upmc.fr'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8780)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8780)
@@ -0,0 +1,49 @@
+## User configuration template
+##---------------------------------------------------
+
+## Copy to root, rename it and then fill in according to your user environment
+## Rules for completion: undefined variables (=) are mandatory & void variables (='') are optional
+## Look into other configuration file for examples
+
+
+## Default settings
+##---------------------------------------------------
+## These settings can be changed directly from command line to reduce number of user configuration file
+## See `./trusting.sh [-h|--help]`
+
+## SVN branch name ('trunk', 'nemo_v3_6_STABLE', development branches)
+[ -z "${TRUS_BRAN}" ] && TRUS_BRAN='trunk'
+
+## Minimal content for code checkout/update
+TRUS_CKOT=( 'ARCH           CONFIG          NEMO               \
+             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
+             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
+
+[ -z "${TRUS_REFE}" ] && TRUS_REFE='ORCA2_LIM_PISCES'     ## Reference configuration to test
+TRUS_CONF=${TRUS_REFE}'_trust'                            ## Testing configuration name
+
+## Forcing archive, let void if just need to copy the files inside ${TRUS_FORC}
+[ -z "${TRUS_TARF}" ] && TRUS_TARF='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUS_REFE} == 'ORCA1_LIM3_PISCES' ] && TRUS_TARF='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${TRUS_REFE} == 'AMM12'             ] && TRUS_TARF='AMM12_v3.6.tar'
+
+## CPP keys to add or remove from reference configuration
+TRUS_KEYA=''; TRUS_KEYD=''
+[ ${TRUS_REFE} == 'ORCA2_LIM' ] && TRUS_KEYA='key_add key_agrif' && TRUS_KEYD='key_del key_zdftmx'
+
+
+## User environment
+##---------------------------------------------------
+TRUS_WORK=     ## Testing folder for compilation (branches checkouts & configuration compilation)
+TRUS_SCRA=     ##   " "     ""   " " computation
+                 ## ...../${TRUS_REFE}/${TRUS_BRAN}/${TRUS_DATE} recommended
+TRUS_STOR=     ## Benchmark folder where target files for comparison have been stored, ie:
+               ## Inputs  (all) : CPP_*, namelist_*, *.xml et inputs_list.txt (created by initial test)
+               ## Outputs (any) : *.stat, ocean.output, restarts
+                 ## ...../${TRUS_REFE}/${TRUS_BRAN} recommended (same layout as ${TRUS_SCRA})
+TRUS_FORC=     ## Path to the forcing archive to extract (usage combined with ${TRUS_TARF}) or
+               ##    ""   all inputs files who will be copied into ${TRUS_SCRA}
+TRUS_XIOS=     ## XIOS installation
+
+## Mailing list to notify on failure (-p|--prod option required)
+[ -z "${TRUS_MAIL}" ] && TRUS_MAIL=''
Index: anches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cron/ada.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cron/ada.env	(revision 8779)
+++ 	(revision )
@@ -1,53 +1,0 @@
-## Set Ada environment for trusting scheduled job
-
-## Equivalent of source arch-X64_ADA.env with module commands
-PATH='/smplocal/intel/composer_xe_2013.1.117/bin/intel64:/smplocal/intel/composer_xe_2013.1.117/bin/intel64_mic:/smplocal/intel/composer_xe_2013.1.117/debugger/gui/intel64:/smplocal/intel/composer_xe_2013.1.117/bin/intel64:/smplocal/intel/composer_xe_2013.1.117/mpirt/bin/intel64:/smplocal/intel/impi/4.1.0.024/intel64/bin:/smplocal/pub/Modules/IDRIS/wrappers:/smplocal/pub/NetCDF/4.1.3/mpi/bin':$PATH
-LD_LIBRARY_PATH='/smplocal/intel/composer_xe_2013.1.117/compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/mkl/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/mpirt/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/ipp/../compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/ipp/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/tbb/lib/intel64:/smplocal/intel/impi/4.1.0.024/intel64/lib':${LD_LIBRARY_PATH}
-INCLUDE='/smplocal/intel/composer_xe_2013.1.117/mkl/include':$INCLUDE
-
-## Wrapper flags
-WRAPPER_CXXFLAGS='-I/smplocal/pub/NetCDF/4.1.3/mpi/include'
-WRAPPER_FFLAGS='-I/smplocal/pub/NetCDF/4.1.3/mpi/include'
-WRAPPER_LDFLAGS='-L/smplocal/pub/NetCDF/4.1.3/mpi/lib -Bstatic -lnetcdff -lnetcdf -lnetcdf_c++ -Bdynamic -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz'
-
-## IDRIS files systems (no need with `at`)
-#WORKDIR=/workgpfs/rech/omr/$USER
-#COMMONDIR=/workgpfs/rech/omr/commun
-#TMPDIR=
-
-## Intel license
-INTEL_LICENSE_FILE='/smplocal/intel/composer_xe_2013.1.117/licenses:/smplocal/intel/licenses:/linkhome/rech/omr/romr005/intel/licenses'
-
-## Trusting
-TRUS_HPCC='X64_ADA'
-
-## Export to environment
-export PATH LD_LIBRARY_PATH INCLUDE
-export WRAPPER_CXXFLAGS WRAPPER_FFLAGS WRAPPER_LDFLAGS
-#export WORKDIR COMMONDIR TMPDIR
-export INTEL_LICENSE_FILE
-export TRUS_HPCC
-
-
-#-------------------------------------------------------------------
-#/smplocal/pub/Modules/IDRIS/modulefiles/environnement/intel/2013.0:
-#prepend-path	 PATH               /smplocal/intel/composer_xe_2013.1.117/bin/intel64:/smplocal/intel/composer_xe_2013.1.117/bin/intel64_mic:/smplocal/intel/composer_xe_2013.1.117/debugger/gui/intel64 
-#prepend-path	 PATH               /smplocal/intel/composer_xe_2013.1.117/bin/intel64:/smplocal/intel/composer_xe_2013.1.117/mpirt/bin/intel64 
-#prepend-path	 PATH               /smplocal/intel/impi/4.1.0.024/intel64/bin 
-#prepend-path	 PATH               /smplocal/pub/Modules/IDRIS/wrappers 
-#prepend-path	 LD_LIBRARY_PATH    /smplocal/intel/composer_xe_2013.1.117/tbb/lib/intel64 
-#prepend-path	 LD_LIBRARY_PATH    /smplocal/intel/composer_xe_2013.1.117/compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/mkl/lib/intel64 
-#prepend-path	 LD_LIBRARY_PATH    /smplocal/intel/composer_xe_2013.1.117/ipp/../compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/ipp/lib/intel64 
-#prepend-path	 LD_LIBRARY_PATH    /smplocal/intel/composer_xe_2013.1.117/compiler/lib/intel64:/smplocal/intel/composer_xe_2013.1.117/mpirt/lib/intel64 
-#prepend-path	 LD_LIBRARY_PATH    /smplocal/intel/impi/4.1.0.024/intel64/lib 
-#prepend-path	 INCLUDE            /smplocal/intel/composer_xe_2013.1.117/mkl/include 
-#append-path	 INTEL_LICENSE_FILE /smplocal/intel/composer_xe_2013.1.117/licenses:/smplocal/intel/licenses:/linkhome/rech/omr/romr005/intel/licenses 
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/smplocal/pub/Modules/IDRIS/modulefiles/bibliotheques/netcdf/mpi/4.1.3:
-#prepend-path	 PATH               /smplocal/pub/NetCDF/4.1.3/mpi/bin 
-#prepend-path	 PATH               /smplocal/pub/Modules/IDRIS/wrappers 
-#prepend-path	 WRAPPER_FFLAGS     -I/smplocal/pub/NetCDF/4.1.3/mpi/include 
-#prepend-path	 WRAPPER_CXXFLAGS   -I/smplocal/pub/NetCDF/4.1.3/mpi/include 
-#prepend-path	 WRAPPER_LDFLAGS    -L/smplocal/pub/NetCDF/4.1.3/mpi/lib -Bstatic -lnetcdff -lnetcdf -lnetcdf_c++ -Bdynamic -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz
-#-------------------------------------------------------------------
Index: anches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cron/curie.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cron/curie.env	(revision 8779)
+++ 	(revision )
@@ -1,74 +1,0 @@
-## Set Curie environment for trusting scheduled job
-
-## Equivalent of source arch-X64_CURIE.env with module commands
-PATH='/usr/local/ccc_users_env/bin:/opt/intel/14.0.3.174/bin/intel64:/opt/mpi/bullxmpi/1.2.8.2/bin:/usr/local/netcdf-4.3.3.1_hdf5_parallel/bin:/ccc/cont003/home/dsm/p86ipsl/bin':$PATH
-LD_LIBRARY_PATH='/lib64:/lib:/usr/lib64:/usr/lib:/opt/intel/14.0.3.174/compiler/lib/intel64:/usr/local/intel-14.0.3.174/14.0.3.174/mkl/lib/intel64:/opt/intel/14.0.3.174/debugger/lib/intel64:/opt/mpi/bullxmpi/1.2.8.2/lib:/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib':${LD_LIBRARY_PATH}
-
-## NetCDF installation
-NETCDF_INCDIR='/usr/local/netcdf-4.3.3.1_hdf5_parallel/include'
-NETCDF_LDFLAGS='-L/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib -lnetcdf'
-NETCDF_LIBDIR='/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib'
-
-## TGCC files systems
-CCCWORKDIR=/ccc/work/cont003/gen7451/$USER
-SCRATCHDIR=/ccc/scratch/cont003/gen7451/$USER
-CCCSTOREDIR=/ccc/store/cont003/gen7451/$USER
-
-## Intel license
-LM_LICENSE_FILE='27000@licintel.ccc.cea.fr'
-
-## Trusting
-TRUS_HPCC='X64_CURIE'
-
-## Export to environment
-export PATH LD_LIBRARY_PATH
-export NETCDF_INCDIR NETCDF_LDFLAGS NETCDF_LIBDIR
-export CCCWORKDIR SCRATCHDIR CCCSTOREDIR
-export LM_LICENSE_FILE
-export TRUS_HPCC
-
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/environment/ccc:
-#append-path	PATH    	/usr/local/ccc_users_env/bin
-#prepend-path	LD_LIBRARY_PATH	/lib64:/lib:/usr/lib64:/usr/lib
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/environment/dfldatadir/own:
-#setenv		CCCSTOREDIR	/ccc/store/cont003/gen7451/martin
-#setenv		CCCWORKDIR	/ccc/work/cont003/gen7451/martin
-#setenv		SCRATCHDIR	/ccc/scratch/cont003/gen7451/martin
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/environment/licsrv/intel:
-#append-path	LM_LICENSE_FILE	27000@licintel.ccc.cea.fr
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/compilers/intel/14.0.3.174:
-#module load	c/intel/14.0.3.174
-#prepend-path	PATH    	/opt/intel/14.0.3.174/bin/intel64
-#prepend-path	LD_LIBRARY_PATH	/opt/intel/14.0.3.174/compiler/lib/intel64
-#module load	c++/intel/14.0.3.174
-#prepend-path	PATH    	/opt/intel/14.0.3.174/bin/intel64
-#prepend-path	LD_LIBRARY_PATH	/opt/intel/14.0.3.174/compiler/lib/intel64
-#module load	fortran/intel/14.0.3.174
-#append-path	PATH    	/opt/intel/14.0.3.174/bin/intel64
-#prepend-path	LD_LIBRARY_PATH	/opt/intel/14.0.3.174/compiler/lib/intel64
-#module load	mkl/14.0.3.174
-#append-path	LD_LIBRARY_PATH	/usr/local/intel-14.0.3.174/14.0.3.174/mkl/lib/intel64
-#module load	idb/14.0.3.174
-#prepend-path	PATH    	/opt/intel/14.0.3.174/bin/intel64
-#append-path	LD_LIBRARY_PATH	/opt/intel/14.0.3.174/debugger/lib/intel64
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/parallel/bullxmpi/1.2.8.2:
-#prepend-path	PATH    	/opt/mpi/bullxmpi/1.2.8.2/bin
-#prepend-path	LD_LIBRARY_PATH	/opt/mpi/bullxmpi/1.2.8.2/lib
-#-------------------------------------------------------------------
-#-------------------------------------------------------------------
-#/opt/Modules/default/modulefiles/libraries/netcdf/4.3.3.1_hdf5_parallel:
-#prepend-path	PATH    	/usr/local/netcdf-4.3.3.1_hdf5_parallel/bin
-#prepend-path	LD_LIBRARY_PATH	/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib
-#setenv		NETCDF_INCDIR	/usr/local/netcdf-4.3.3.1_hdf5_parallel/include
-#setenv		NETCDF_LIBDIR	/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib
-#setenv		NETCDF_LDFLAGS	-L/usr/local/netcdf-4.3.3.1_hdf5_parallel/lib -lnetcdf
-#-------------------------------------------------------------------
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8779)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8780)
@@ -5,6 +5,6 @@
 ##--------------------------------------
 dat=$( date )
-export DATE=$( date -ud "$dat" +"%Y%m%d%Z%H%M" )
-export PATTERNAME=${TRUS_USER}'_'${TRUS_HPCC}
+export TRUS_DATE=$( date -ud "$dat" +"%Y%m%d%Z%H%M" )
+export TRUS_NAME=${TRUS_USER}'_'${TRUS_HPCC}
 export TRUS_SVNH='https://forge.ipsl.jussieu.fr/nemo/svn'
 
@@ -12,5 +12,5 @@
 ## Source user configuration
 ##---------------------------------------------------
-. ./config/${TRUS_USER}.cfg
+. ./cfg/${TRUS_USER}.cfg
 export TRUS_WORK TRUS_SCRA TRUS_STOR TRUS_XIOS TRUS_FORC
 export TRUS_BRAN TRUS_REFE
@@ -21,5 +21,5 @@
 ## Source (super)computer configuration
 ##---------------------------------------------------
-. ./config/${TRUS_HPCC}.cfg
+. ./cfg/${TRUS_HPCC}.cfg
 export TRUS_ENVI TRUS_CDOD TRUS_NPRO TRUS_TOUT
 export TRUS_JSPT TRUS_JSUB TRUS_JSTA TRUS_JKIL
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8779)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8780)
@@ -3,13 +3,13 @@
 
 ## Messenger filenames
-FILE_DATE=mesg_01_date_$PATTERNAME.txt  ; FILE_RSLT=mesg_02_result_$PATTERNAME.txt
-FILE_STAT=mesg_03_state_$PATTERNAME.txt ; FILE_NEMO=mesg_04_nemo_$PATTERNAME.txt
-FILE_XIOS=mesg_05_xios_$PATTERNAME.txt  ; FILE_CMPF=mesg_06_compiler_$PATTERNAME.txt
-FILE_LMPI=mesg_07_mpi_$PATTERNAME.txt   ; FILE_NCDF=mesg_08_netcdf_$PATTERNAME.txt
-FILE_INPT=mesg_09_inputs_$PATTERNAME.txt; FILE_TIME=mesg_10_time_$PATTERNAME.txt
-FILE_MEMY=mesg_11_memory_$PATTERNAME.txt; FILE_NOTE=mesg_12_comments_$PATTERNAME.txt
+file_date=mesg_01_date.txt  ; file_rslt=mesg_02_result.txt
+file_stat=mesg_03_state.txt ; file_nemo=mesg_04_nemo.txt
+file_xios=mesg_05_xios.txt  ; file_cmpf=mesg_06_compiler.txt
+file_lmpi=mesg_07_mpi.txt   ; file_ncdf=mesg_08_netcdf.txt
+file_inpt=mesg_09_inputs.txt; file_time=mesg_10_time.txt
+file_memy=mesg_11_memory.txt; file_note=mesg_12_comments.txt
 
 ## Trusting timestamped logfile & archive
-TRUS_FILE=trusting_${DATE}_$PATTERNAME.txt; TRUS_ARCH=trusting_${DATE}_$PATTERNAME.tgz
+TRUS_FILE=trusting_${TRUS_DATE}_$TRUS_NAME.txt; TRUS_ARCH=trusting_${TRUS_DATE}_$TRUS_NAME.tgz
 
 
@@ -23,24 +23,24 @@
 
 init_files() {
-    echo 'Date'        	      > ${FILE_DATE}; echo 'Result'           > ${FILE_RSLT}
-    echo 'State'      	      > ${FILE_STAT}; echo 'NEMOGCM rev.'     > ${FILE_NEMO}
-    echo 'XIOS rev.'   	      > ${FILE_XIOS}; echo 'Fortran compiler' > ${FILE_CMPF}
-    echo 'MPI libs'    	      > ${FILE_LMPI}; echo 'NetCDF libs'      > ${FILE_NCDF}
-    echo 'Input files' 	      > ${FILE_INPT}; echo 'Elapsed time'     > ${FILE_TIME}
-    echo 'Memory usage (P/V)' > ${FILE_MEMY}; echo 'Comments'         > ${FILE_NOTE}
+    echo 'Date'        	      > ${file_date}; echo 'Result'           > ${file_rslt}
+    echo 'State'      	      > ${file_stat}; echo 'NEMOGCM rev.'     > ${file_nemo}
+    echo 'XIOS rev.'   	      > ${file_xios}; echo 'Fortran compiler' > ${file_cmpf}
+    echo 'MPI libs'    	      > ${file_lmpi}; echo 'NetCDF libs'      > ${file_ncdf}
+    echo 'Input files' 	      > ${file_inpt}; echo 'Elapsed time'     > ${file_time}
+    echo 'Memory usage (P/V)' > ${file_memy}; echo 'Comments'         > ${file_note}
 
     ## 'Failed' status with 'Unknown error' by default
     echo ${TRUS_RSLT}      \
-	>> ${FILE_RSLT}
+	>> ${file_rslt}
     echo 'Unknown error' \
-	>> ${FILE_STAT}
+	>> ${file_stat}
 }
 
 get_date() {
     ## UTC time zone for timestamping
-    local dat=$( date -ud "${DATE}" +"%F %R %Z" )
+    local dat=$( date -ud "${TRUS_DATE}" +"%F %R %Z" )
 
     echo $dat           \
-	>> ${FILE_DATE}
+	>> ${file_date}
 }
 
@@ -58,5 +58,5 @@
 		>> model.log
 	    echo "<a href=\"https://forge.ipsl.jussieu.fr/ioserver/changeset/${rev_loc}\" target=\"_blank\">${rev_loc}</a>" \
-		>> ${FILE_XIOS}
+		>> ${file_xios}
 	    continue
 	fi
@@ -72,5 +72,5 @@
 	>> model.log
     echo "<a href=\"https://forge.ipsl.jussieu.fr/nemo/changeset/$rev\" target=\"_blank\">$rev</a>" \
-	>> ${FILE_NEMO}
+	>> ${file_nemo}
 }
 
@@ -110,9 +110,9 @@
 
     sed -n 3p model.log \
-	>> ${FILE_CMPF}
+	>> ${file_cmpf}
     sed -n 4p model.log \
-	>> ${FILE_LMPI}
+	>> ${file_lmpi}
     sed -n 5p model.log \
-	>> ${FILE_NCDF}
+	>> ${file_ncdf}
 }
 
@@ -145,9 +145,9 @@
     [ $mesg == 'Same' ] && echo $mesg
     echo $mesg          \
-	>> ${FILE_INPT}
+	>> ${file_inpt}
 
     ## List different files for web comment
     [ -n "${files_list}" ] && echo 'Inputs  : '${files_list}'differ<br>' \
-	>> temp_${FILE_NOTE}
+	>> temp_${file_note}
 }
 
@@ -161,5 +161,5 @@
 	printf "\n%s\n" ${outline// /#}          \
 	    >> computation.log
-	[ -n "${TRUS_JINF}" ] && eval ${JOB_INFO} \
+	[ -n "${TRUS_JINF}" ] && eval ${TRUS_JINF} \
 	    >> computation.log
 	sleep ${time_increment}
@@ -170,5 +170,5 @@
 
     ## Kill remaining job & stop the test if it's too long
-    [ ${time_elapsed} -eq ${TRUS_TOUT} ] && { eval ${JOB_DELE} &> /dev/null; get_out 6; }
+    [ ${time_elapsed} -eq ${TRUS_TOUT} ] && { eval ${TRUS_JKIL} &> /dev/null; get_out 6; }
 }
 
@@ -192,5 +192,5 @@
     ## List different files for web comment
     [ -n "${files_list}" ] && echo 'Results : '${files_list}'differ<br>' \
-	>> temp_${FILE_NOTE}
+	>> temp_${file_note}
 }
 
@@ -263,5 +263,5 @@
 	if [ ${dif_sum} -ne 0 ]; then
 	    echo 'Restarts: '${files_list}${dif_sum}' record(s) differ<br>' \
-		>> temp_${FILE_NOTE}
+		>> temp_${file_note}
 	else
 	    echo 'Same'
@@ -281,5 +281,5 @@
 
     printf "Elapsed time: "
-    echo ${time_cpu} | tee -a ${FILE_TIME}
+    echo ${time_cpu} | tee -a ${file_time}
 }
 
@@ -291,5 +291,5 @@
 
     printf "Memory max usage (physical/virtual): "
-    echo ${memory_pmax}' / '${memory_vmax} | tee -a ${FILE_MEMY}
+    echo ${memory_pmax}' / '${memory_vmax} | tee -a ${file_memy}
 }
 
@@ -308,11 +308,11 @@
 
     [ -n "$line" ] && ( echo $line; printf "$line<br>" \
-	>> temp_${FILE_NOTE} )
+	>> temp_${file_note} )
 }
 
 log_make() {
     ## Format comments for web
-    [ -e temp_${FILE_NOTE} ] && cat temp_${FILE_NOTE} | tr -d '\n' | sed 's/<br>$//' \
-	>> ${FILE_NOTE}
+    [ -e temp_${file_note} ] && cat temp_${file_note} | tr -d '\n' | sed 's/<br>$//' \
+	>> ${file_note}
 
     ## Construct txt file with all messenger files
@@ -328,8 +328,8 @@
 
 	## Create or append trusting logfile
-	if [ -f ${TRUS_STOR}/trusting_$PATTERNAME.txt ]; then cmd='tail -1'; else cmd='cat'; fi
+	if [ -f ${TRUS_STOR}/trusting_$TRUS_NAME.txt ]; then cmd='tail -1'; else cmd='cat'; fi
 
 	$cmd ${TRUS_FILE}                            \
-	    >> ${TRUS_STOR}/trusting_$PATTERNAME.txt
+	    >> ${TRUS_STOR}/trusting_$TRUS_NAME.txt
 
         ## Send mail only when FAILED
@@ -409,5 +409,5 @@
     ## Last messenger files
     #export TRUS_RORR
-    sed -i "2 s/.*/$TRUS_RSLT/" ${FILE_RSLT}; sed -i "2 s/.*/$TRUS_RORR/" ${FILE_STAT}
+    sed -i "2 s/.*/$TRUS_RSLT/" ${file_rslt}; sed -i "2 s/.*/$TRUS_RORR/" ${file_stat}
 
     ## Save tested configuration if trusting failed in production mode (-p|--prod)
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh	(revision 8779)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/install_new_branch.sh	(revision 8780)
@@ -22,5 +22,5 @@
 ## Initialization (HPC & user environment)
 ##---------------------------------------------------
-if [[ ! -e config/${TRUS_USER}.cfg || ! -e config/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
+if [[ ! -e cfg/${TRUS_USER}.cfg || ! -e cfg/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
     cat ./inc/trusting_help.txt
 
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8779)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8780)
@@ -32,5 +32,5 @@
 ## Initialization (HPC & user environment)
 ##---------------------------------------------------
-if [[ ! -e config/${TRUS_USER}.cfg || ! -e config/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
+if [[ ! -e cfg/${TRUS_USER}.cfg || ! -e cfg/${TRUS_HPCC}.cfg || ${TRUS_HELP} -eq 1 ]]; then
     cat ./inc/trusting_help.txt
 
